### Method

# WPEPlatform BufferFormatsBuilder append_group

#### Declaration [src]

    void
    wpe_buffer_formats_builder_append_group (
      WPEBufferFormatsBuilder* builder,
      WPEDRMDevice* device,
      WPEBufferFormatUsage usage
    )

#### Description [src]

Append a new group for `device` and `usage` to `builder`. If `device` is `NULL`, the main device passed to `wpe_buffer_formats_builder_new()` should be used.

#### Parameters

`device`

  Type: `WPEDRMDevice`

  A `WPEDRMDevice`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`usage`

  Type: `WPEBufferFormatUsage`

  A `WPEBufferFormatUsage`.